/*
// Created by Tiny on 3/18/2021.
*/

#ifndef MAIN_C_TEST_MAP_H
#define MAIN_C_TEST_MAP_H

#include <gtest/gtest.h>
#include <stdio.h>
extern "C"{
#include "map.h"
}

TEST(test_init_map,with_real_path){
	int times=500000000;
    MAP map;
    init_map(&map, "ressource/colored.bmp", "ressoure/mapvis.bmp");
    EXPECT_STREQ("ressource/colored.bmp",map.functional_path);
	EXPECT_STREQ("ressoure/mapvis.bmp",map.visual_path);
	EXPECT_TRUE(map.functional);
	while(times>0) times--;                        //this do nothing but it looks cool ^^
}

TEST(test_init_map,with_false_path){
	int times=500000000;
    MAP map;
    init_map(&map, "coloro.bmp", "mapvis.bmp");
	EXPECT_FALSE(map.functional);
	while(times>0) times--;                        //this do nothing but it looks cool ^^
}

TEST(test_map_to_matrix,with_ez_image){
	int times=500000000;
	int i ;
	int y ;
    MAP map;
    init_map(&map, "ressource/func_test_map.bmp", "mapvis.bmp");
	EXPECT_EQ(55,map.height);
    EXPECT_EQ(116,map.width);
	while(times>0) times--;                        //this do nothing but it looks cool ^^
}

#endif /*MAIN_C_TEST_PROF_H*/
